Bug 375401 - yum update don't handle packages changing arch
yum update don't handle packages changing arch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 22:53 EST by Ralf Corsepius
Modified: 2014-01-21 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 08:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-11-10 22:53:33 EST
Description of problem:

yum doesn't properly handle packages changing their %arch

After a yum-based upgrade from FC-7 to FC-8, I ended up with

# rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' xorg-x11-proto-devel
xorg-x11-proto-devel-7.2-9.fc7.i386
xorg-x11-proto-devel-7.3-3.fc8.noarch


Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8

How reproducible:
Deterministic, happened on all FC-7->FC-8 machines I upgraded so far.

Expected results:
yum to handle noarch->arch upgrades properly

Additional info:
This is on i386 (Not on x86_64)
Comment 1 Ralf Corsepius 2007-11-10 22:59:24 EST
see also: https://bugzilla.redhat.com/show_bug.cgi?id=375411
Comment 2 Seth Vidal 2007-11-12 10:12:24 EST
weird, I didn't get this on my i686 box upgraded from f7 to f8.

Were there any items in the log about not being able to remove the other
package? An rpm scriptlet error, by chance?
Comment 3 Ralf Corsepius 2007-11-12 11:19:24 EST
(In reply to comment #2)
> weird, I didn't get this on my i686 box upgraded from f7 to f8.
As I said, I had this on all 3 boxes I upgraded so far (Pure yum based upgrades  ;)

I only noticed (package-cleanup also misses to report this) due having used apt
after the upgrade was supposed to have finished.

> Were there any items in the log about not being able to remove the other
> package? An rpm scriptlet error, by chance?
Yes, several. FC7->FC8 upgrades suffer from several such broken packages. 

The worst of them all I encountered is avahi's broken scriptlets packaging
(There is a BZ on it open for a while). Also intervening: SELinux.


Comment 4 Seth Vidal 2008-03-12 11:33:12 EDT
YUMBUGDAY
Comment 5 Florian Festi 2008-05-30 08:44:23 EDT
Problem should have been fixed udring upstream deveopment. Please reopen if
problem should still exist.

Note You need to log in before you can comment on or make changes to this bug.